Get Brand Audience
curl --request GET \
--url https://api.example.com/api/v1/brands/{brand_id}/audience \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}/audience"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/brands/{brand_id}/audience', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "not_started",
"subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": 0,
"business_model": "b2b",
"primary_surface": "ecommerce",
"supporting_surfaces": [
"ecommerce"
],
"icp": {
"name": "<string>",
"summary": "<string>",
"confidence": 0.5,
"ideal_fit_criteria": [
"<string>"
],
"needs_and_jobs": [
"<string>"
],
"buying_triggers": [
"<string>"
],
"desired_outcomes": [
"<string>"
],
"constraints_and_must_haves": [
"<string>"
],
"disqualifiers": [
"<string>"
],
"buying_context": [
"<string>"
],
"status": "website_hypothesis"
},
"personas": [
{
"rank": 2,
"persona_name": "<string>",
"summary": "<string>",
"confidence": 0.5,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatar_seed": "<string>",
"avatar": {
"seed": "<string>",
"initials": "<string>",
"kind": "gradient_initials"
},
"core_motivations": [
"<string>"
],
"barriers_and_objections": [
"<string>"
],
"what_convinces_them": [
"<string>"
],
"preferred_channels": [
"<string>"
],
"status": "website_hypothesis",
"user_locked_fields": [
"<string>"
]
}
],
"scenarios": [
{
"rank": 2,
"scenario_name": "<string>",
"scene": "<string>",
"trigger": "<string>",
"desired_outcome": "<string>",
"emotion_state": "<string>",
"barrier": "<string>",
"confidence": 0.5,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"primary_persona_rank": 2,
"pain_points_frustrations": [
"<string>"
],
"current_alternatives": [
"<string>"
],
"status": "website_hypothesis",
"primary_persona_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_locked_fields": [
"<string>"
]
}
],
"confidence": 123,
"source_count": 0,
"website_sources": [
{
"url": "<string>",
"label": "<string>",
"page_kind": "<string>"
}
],
"latest_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"stage": "<string>",
"queued_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Brand Audience
Get Brand Audience
GET
/
api
/
v1
/
brands
/
{brand_id}
/
audience
Get Brand Audience
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Available options:
not_started, researching, ready, partial, failed Available options:
b2b, b2c, both Available options:
ecommerce, lead_generation, mobile_app, store, awareness, marketplace, subscription Available options:
ecommerce, lead_generation, mobile_app, store, awareness, marketplace, subscription Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x >= 0Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I